<?php
/************************************************************************/
/* NPDS : Nuke Permanent Double-Side Web Portal System                  */
/* ===========================                                          */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* Encapsuleur  V3.6                                                    */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/*********************************************************************/
/* 05.01.2001 - martvin@box43.pl                                     */
/*********************************************************************/
/* 12.09.2002 - Achel_Jay                                            */
/*********************************************************************/
/* 02.11.2002 - Snipe                                                */
/*********************************************************************/
/* 25.11.2008 - Lopez: Adaptation Evolution                          */
/*********************************************************************/
/* 23.04.2011 - Lopez: Correction bug retro compatibilit de l'admin */
/*********************************************************************/

if (!function_exists("Access_Error")) {header("location: ../.. /../index.php");} 
// For More security
if (!eregi("admin.php", $PHP_SELF)) { die(); }
if (strstr($ModPath,"..") || strstr($ModStart,"..") || stristr($ModPath, "script") || stristr($ModPath, "cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) { 
   die();
}
// For More security

if($admin){

if (file_exists('modules/'.$ModPath.'/admin/lang/'.$language.'.php')) {
include_once('modules/'.$ModPath.'/admin/lang/'.$language.'.php');
}
else {
include_once('modules/'.$ModPath.'/admin/lang/french.php');
}

// Retro compatibilit SABLE
if (!function_exists("sql_connect")) {
   include("modules/$ModPath/retro-compat/mysql.php");
}

// SABLE Evolution
if (file_exists("modules/$ModPath/admin/pages.php")) {
   include("modules/$ModPath/admin/pages.php");
}

// Inclusion fichier de configuration encapsuleur

if (!IsSet($static_url) && !IsSet($encap_table)) { 
   include ("modules/$ModPath/encap.conf.php"); 
}

function AfficheHaut($ModPath, $ModStart){
	global $PHP_SELF,$bgcolor1, $encap_table, $encap_height;
	OpenTable();
echo "<h3 align=\"center\">".adm_encap_translate("Administration de l'Encapsuleur")."</h3><br />";
	CloseTable();
	OpenTable();
	//affichage de la liste
	$result = sql_query("SELECT * FROM $encap_table ORDER BY id ASC");
	// pourquoi ne pas compter le nombre d'enregistrements?
	if($result){
		$nombre = sql_num_rows($result);
		echo "<p align=\"center\">".adm_encap_translate("Il y a")." $nombre ".adm_encap_translate("encapsulation(s) dans la table de l'")."$encap_table : <br />".adm_encap_translate("Pour modifier un enregistrement, cliquez sur son nom.")."</p>";
		echo "<table border=\"1\" align=\"center\"><tr><td>Id:</td><td>".adm_encap_translate("Nom")."</td><td>".adm_encap_translate("Forme")."</td><td>".adm_encap_translate("Adresse")."</td><td>".adm_encap_translate("Hauteur")."</td><td>".adm_encap_translate("Scroll")."</td><td>".adm_encap_translate("Bloc")."</td><td>".adm_encap_translate("Titre")."</td><td>T.</td><td>".adm_encap_translate("Display")."</td><td>X</td><td>X</td>\n";
//		while ($ligne = mysql_fetch_array($result)){
		while ($ligne = sql_fetch_assoc($result)){
			echo("<tr><td>$ligne[id]</td><td><a href=\"$PHP_SELF?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=$ModStart&subop=editform&id=$ligne[id]#edit\">$ligne[nom]</a></td><td>$ligne[form]</td><td>$ligne[adresse]</td><td>$ligne[height]</td><td>$ligne[scroll]</td><td>$ligne[block]</td><td>$ligne[titre]</td><td>$ligne[tit]</td><td>$ligne[display]</td>");
			echo("<td><a href=\"$PHP_SELF?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=$ModStart&subop=accdelete&id=$ligne[id]\">".adm_encap_translate("(effacer)")."</a></td>");
			echo("<td><a href=\"$PHP_SELF?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=$ModStart&subop=acclien&nom=$ligne[nom]\">".adm_encap_translate("(lien)")."</a></td></tr>");
		}
		echo "</table>\n";
	}
	else {
		echo adm_encap_translate("Dsol, cette requte ne renvoie aucun rsultat.<br />");
	}
	closetable();
}

function AddEditBas($ModPath, $ModStart, $subop){
	global $PHP_SELF,$encap_table, $encap_height, $id;
	Opentable();
	echo "<p align=\"center\"><b>";
	if ($subop=="addform"){
		echo adm_encap_translate("Ajouter un enregistrement :");
	}
	elseif ($subop=="editform"){
		echo "<a name=\"edit\"></a>";
		echo adm_encap_translate("Modifier cet enregistrement :");
		$sql = "SELECT * FROM $encap_table WHERE id=$id";
		$result = sql_query($sql);
//		$ligne = mysql_fetch_array($result);
		$ligne = sql_fetch_assoc($result);
		$id = $ligne[id];
		$nom = $ligne[nom];
		$display = $ligne[display];
		$type= $ligne[type];
		$form= $ligne[form];
		$adresse = $ligne[adresse];
		$height = $ligne[height];
		$scroll = $ligne[scroll];
		$block = $ligne[block];
		$titre = $ligne[titre];
		$tit = $ligne[tit];
	echo "</b></p>";
	}
	else {
		exit();
	}

	echo"<form action=\"admin.php\" method=\"post\">";
	echo "<input type=\"hidden\" name=\"op\" value=\"Extend-Admin-SubModule\" />";
	echo "<input type=\"hidden\" name=\"ModPath\" value=\"$ModPath\" />";
	echo "<input type=\"hidden\" name=\"ModStart\" value=\"$ModStart\" />";
	if ($subop=="addform"){
		echo "<input type=\"hidden\" name=\"subop\" value=\"accadd\" />";
	}
	else{
		echo "<input type=\"hidden\" name=\"subop\" value=\"accedit\" />";
		echo"<input type=\"hidden\" name=\"id\" value=\"$id\" />";
	}

	echo "<table border=\"0\"><tr><td colspan=\"2\">".adm_encap_translate("Nom")." :</td>
			<td  width=\"50%\"><input type=\"text\" name=\"nom\" value=\"$nom\" size=\"50\" /></td>
		</tr>
		<tr>
			<td colspan=\"2\">".adm_encap_translate("Display")." : ".adm_encap_translate("('1' ou '0')")." <font color=\"#ff3333\">".adm_encap_translate("defaut")." = 1</font></td>
			<td >
				<select name=\"display\">
					<option value=\"1\"";
	if (!strcmp("$display", "1")) {echo "selected";}
					echo ">1
					<option value=\"0\"";
	if (!strcmp("$display", "0")) {echo "selected";}
					echo ">0
				</select>
			</td>
		</tr>
		<tr>
			<td colspan=\"2\">".adm_encap_translate("Type")." : ".adm_encap_translate("(interne ou externe)")."</td>
			<td>
				<select name=\"type\">
					<option value=\"interne\" ";
	if (!strcmp("$type", "interne")) {echo "selected";}
	echo" >".adm_encap_translate("Interne")."
					<option value=\"externe\" ";
	if (!strcmp("$type", "externe")) {echo "selected";}
	echo" >".adm_encap_translate("Externe")."
				</select>
			</td>
		</tr>
<tr>
			<td colspan=\"2\">".adm_encap_translate("Forme")." : ".adm_encap_translate("('http' ou 'https' ou 'ftp')")." <font color=\"#ff3333\">".adm_encap_translate("defaut")." = http</font></td>
			<td >
				<select name=\"form\">
					<option value=\"http\"";
	if (!strcmp("$scroll", "http")) {echo "selected";}
					echo ">http
					<option value=\"https\"";
	if (!strcmp("$scroll", "https")) {echo "selected";}
					echo ">https
					<option value=\"ftp\"";
	if (!strcmp("$scroll", "ftp")) {echo "selected";}
					echo ">ftp
				</select>
			</td>
		</tr>
		<tr>
			<td colspan=\"2\" height=\"32\">".adm_encap_translate("Adresse")." :<font color=\"#ff0000\"><br />".adm_encap_translate("(adresse web sans http:// si externe ou nom du fichier si interne)")."</font></td>
			<td height=\"32\"><input type=\"text\" name=\"adresse\" value=\"$adresse\" size=\"50\" /></td>
	 	</tr>
		<tr>
			<td colspan=\"2\">".adm_encap_translate("Hauteur")." :<font color=\"#ff0000\"> ".adm_encap_translate("defaut")." = $encap_height</font></td>
			<td><input type=\"text\" name=\"height\" value=\"$height\" size=\"50\" /></td>
		</tr>
		<tr>
			<td colspan=\"2\">".adm_encap_translate("Scroll")." : ".adm_encap_translate("('yes' ou 'no' ou 'auto')")." <font color=\"#ff3333\">".adm_encap_translate("defaut")." = no</font></td>
			<td >
				<select name=\"scroll\">
					<option value=\"yes\"";
	if (!strcmp("$scroll", "yes")) {echo "selected";}
					echo ">oui
					<option value=\"no\"";
	if (!strcmp("$scroll", "no")) {echo "selected";}
					echo ">non
					<option value=\"auto\"";
	if (!strcmp("$scroll", "auto")) {echo "selected";}
					echo ">auto
				</select>
			</td>
		</tr>
		<tr>
			<td colspan=\"2\">".adm_encap_translate("Bloc")." : ".adm_encap_translate("('0','1','-1','2')")." <font color=\"#ff3333\">".adm_encap_translate("defaut")." = 1</font></td>
			<td >
				<select name=\"block\"><br />
					<option value=\"1\"";
	if (!strcmp("$block", "1")) {echo "selected";}
					echo ">1
					<option value=\"0\"";
	if (!strcmp("$block", "0")) {echo "selected";}
					echo ">0
					<option value=\"-1\"";
	if (!strcmp("$block", "-1")) {echo "selected";}
					echo ">-1
					<option value=\"2\"";
	if (!strcmp("$block", "2")) {echo "selected";}
					echo ">2					
				</select>
			</td>
		</tr>
		<tr>
			<td colspan=\"2\">".adm_encap_translate("Titre")." :</td>
			<td><input type=\"text\" name=\"titre\" value=\"$titre\" size=\"50\" /></td>
		</tr>
		<tr>
			<td colspan=\"2\">".adm_encap_translate("Affichage du Titre")." :<font color=\"#ff3333>\"".adm_encap_translate("defaut")." = ".adm_encap_translate("Oui")."</font></td>
			<td >
				<select name=\"tit\">
					<option value=\"1\"";
	if (!strcmp("$tit", "1")) {echo "selected";}
					echo ">".adm_encap_translate("oui")."
					<option value=\"0\"";
	if (!strcmp("$tit", "0")) {echo "selected";}
					echo ">".adm_encap_translate("non")."
				</select>
			</td>
		</tr>
	</table>
	<br /><br /><input type=\"submit\" name=\"valider\" value=\"".adm_encap_translate("Enregistrer")."\" /><p align=\"center\">
	<a href=\"index.php\"> ".adm_encap_translate("Retour  l'accueil")." </a>  --::-- <a href=\"$PHP_SELF?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=$ModStart&subop=\"> ".adm_encap_translate("Retour a l'administration")." </a></p>";
	echo "</form>";
	Closetable();
}

function AccAdd($nom,$display,$type,$form,$adresse,$height,$scroll,$block,$tit,$titre){
	global $encap_table, $encap_height;
	  OpenTable();
          $verif = "SELECT id from $encap_table WHERE nom='$nom'";
          if($num = sql_num_rows(sql_query($verif))){   
               echo "<center><b>".adm_encap_translate("le nom tap existe dja essayez encore une fois")."</b></p>";}
          else
          {
        if($height=="") { $height=$encap_height; }
		$sql = "INSERT INTO $encap_table (nom,display,type,form,adresse,height,scroll,block,tit,titre) VALUES ('$nom','$display','$type','$form','$adresse','$height','$scroll','$block', '$tit', '$titre')";
              	$result = sql_query($sql);
              	echo "<p align=\"center\"><b>".adm_encap_translate("Enregistrement effectu !")."</b></p>";
          }
          CloseTable();

}

function AccEdit($id,$nom,$display,$type,$form,$adresse,$height,$scroll,$block,$tit,$titre){
	global $encap_table, $encap_height;
	OpenTable();
	$uid=0;
    if($height=="") { $height=$encap_height; }
	$sql = "UPDATE $encap_table SET nom='$nom', display=$display, type='$type', form='$form', adresse='$adresse',height='$height',scroll='$scroll',block='$block', tit='$tit',titre='$titre'  WHERE id=$id";
	if($result = sql_query($sql)){   
		echo "<center><b>".adm_encap_translate("Mise  Jour effectue !")."</b></center><p>";
        }
        else{
		echo "<p align=\"center\"><b>".adm_encap_translate("Mise  Jour Non effectue !")."</b></p>";
	}
	CloseTable();
}

function Accdelete($id){
	global $encap_table;
	OpenTable();
	$sql = "DELETE FROM $encap_table WHERE id=$id";
	if($result = sql_query($sql)){   
		echo "<p align=\"center\"><b>".adm_encap_translate("Enregistrement N ").$id.adm_encap_translate(" effac!")."</b></p>";
        }
        else{
		echo "<p align=\"center\"><b>".adm_encap_translate("Erreur de suppresion de l'enregistrement")." $id</b></p>";
	}
	CloseTable();
}

function Acclink($nom){
	global $encap_table, $nuke_url;
	OpenTable();
	$sql = "SELECT * FROM $encap_table WHERE nom='$nom'";

	if($result = sql_query($sql)){
		echo adm_encap_translate("Le lien de votre page encapsule est")." <br /><b>",$nuke_url,"/modules.php?ModPath=encapsuleur&ModStart=encapsulation&page=".$nom,"</b><br /><p>";
        }
        else{
		echo "<p align=\"center\"><b>".adm_encap_translate("Le lien n'existe pas.")."</b></p>";
	}
	CloseTable();
}

// inclusion du fichier de traduction : L'origine est TOUJOURS le Franais


	switch($subop) {
		case "accadd":
			Accadd($nom,$display,$type,$form,$adresse,$height,$scroll,$block,$tit,$titre);
			Acclink($nom);
			AfficheHaut($ModPath, $ModStart);
			AddEditBas($ModPath,$ModStart,'addform');
			break;

		case "accedit":
			Accedit($id,$nom,$display,$type,$form,$adresse,$height,$scroll,$block,$tit,$titre);
			Acclink($nom);
			AfficheHaut($ModPath, $ModStart);
			AddEditBas($ModPath,$ModStart,'addform');
			break;

		case "accdelete":
			Accdelete($id);
			AfficheHaut($ModPath, $ModStart);
			AddEditBas($ModPath,$ModStart,'addform');
			break;

		case "acclien":
			Acclink($nom);
			AfficheHaut($ModPath, $ModStart);
			AddEditBas($ModPath,$ModStart,'addform');
			break;   	

		case "editform":
			AfficheHaut($ModPath, $ModStart);
			AddEditBas($ModPath,$ModStart,'editform');
			break;   	

		default:
			AfficheHaut($ModPath, $ModStart);
			AddEditBas($ModPath,$ModStart,'addform');
			break;
	}
}
?>